Subject: bug#19245: closed (Re: bug#19245: Compile warnings after updating to 2.4.4)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Dec 2014 15:01:02 +0000

Your bug report

#19245: Compile warnings after updating to 2.4.4

which was filed against the libtool package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19245: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19245
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19245: Compile warnings after updating to 2.4.4
From: "Gary V. Vaughan" <[email-masked]>
To: [email-masked]
Date: Thu, 4 Dec 2014 15:00:07 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

> On Dec 4, 2014, at 2:53 PM, Michael Wobst <[email-masked]> wrote:
> 
> Hey Gary (with one 'r') ;-)
> 
> I'm glad we finally figured it out. Thanks!
> 
> Greets,
> Michael
> 
> Gary V. Vaughan schrieb:
>> [[put bug-libtool and debbugs back in Cc:]]
>> 
>> Hi Michael,
>> 
>>> On Dec 4, 2014, at 1:45 PM, Michael Wobst <[email-masked]> wrote:
>>> 
>>> Hi Garry,
>> 
>> (Just the one 'r' in my name, please! :-)
>> 
>>> well, it's not just a cosmetical change from what I can see in 2.4.4's libltdl/Makefile.am when compared to 2.4.3's libltdl/Makefile.am
>>> 
>>> I did a diff -urN to show you what I'm talking about:
>>> 
>>> #####################################################################
>>> --- trunk_2.4.3/libltdl/Makefile.am     2014-12-04 14:11:47.887496698 +0100
>>> +++ trunk_2.4.4/libltdl/Makefile.am     2014-12-04 14:11:09.087091542 +0100
>>> @@ -45,8 +45,9 @@
>>> # -I$(srcdir) is needed for user that built libltdl with a sub-Automake
>>> # (not as a sub-package!) using 'nostdinc':
>>> AM_CPPFLAGS           += -DLT_CONFIG_H='<$(LT_CONFIG_H)>' \
>>> -                         -DLTDL -I. -I$(srcdir) -Ilibltdl \
>>> -                         -I$(srcdir)/libltdl -I$(srcdir)/libltdl
>>> +                         -DLTDL -I. -I$(srcdir) \
>>> +                         -Ilibltdl  -I$(srcdir)/libltdl \
>>> +                         -Ilibltdl -I$(srcdir)/libltdl/libltdl
>>> 
>>> #####################################################################
>>> 
>>> Note the last line with the path being '$(srcdir)/libltdl/libltdl'.
>>> This doesn't appear in previous versions of libtool, but in 2.4.4
>> 
>> Ahah!  Agreed, and fixed in master (I'll push as soon as the testsuite
>> finishes); thanks for persevering with me.  While the change to ltdl.mk was
>> indeed cosmetic, I didn't account for the fact that during generation of
>> libltdl/Makefile.am multiple libltdl/libltdl on a single line of the source
>> file breaks the edit process.
>> 
>> Thanks again for your help in tracking down and fixing that bug.
>> 
>> Cheers,
>> 

Subject: Compile warnings after updating to 2.4.4
From: Michael Wobst <[email-masked]>
To: [email-masked]
Date: Mon, 01 Dec 2014 20:35:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

After I updated our project's embedded libldtl to 2.4.4, several "No 
such file or directory" compile warnings showed up; see below:

                                                                ^
mv -f .deps/libltdlc_la-lt_error.Tpo .deps/libltdlc_la-lt_error.Plo
/bin/bash ../libtool --silent  --tag=CC   --mode=compile gcc -std=gnu99 
-DHAVE_CONFIG_H -I. -I..  -DLTDLOPEN=libltdlc -DLT_CONFIG_H='<config.h>' 
-DLTDL -I. -I. -Ilibltdl -I./libltdl -Ilibltdl -I./libltdl/libltdl   -g 
-O2 -fstack-protector -fno-strict-aliasing -Wall -Wbad-function-cast 
-Wcast-align -Wcast-qual -Wclobbered -Wempty-body -Wignored-qualifiers 
-Wlogical-op -Wmissing-declarations -Wmissing-field-initializers 
-Wmissing-include-dirs -Wmissing-parameter-type -Wmissing-prototypes 
-Wnested-externs -Wold-style-declaration -Woverride-init -Wpointer-arith 
-Wredundant-decls -Wshadow -Wsign-compare -Wtype-limits -Wundef 
-Wuninitialized -Wwrite-strings -MT libltdlc_la-ltdl.lo -MD -MP -MF 
.deps/libltdlc_la-ltdl.Tpo -c -o libltdlc_la-ltdl.lo `test -f 'ltdl.c' 
|| echo './'`ltdl.c
cc1: warning: ./libltdl/libltdl: No such file or directory [enabled by 
default]

Regards,
Michael